WEBCAM Face chroma-keying
=====

ブラウザ上で2つの WEBカムの映像をクロマキーで一つに合成することができる HTML5 コードです。

Firefox 43 上で開発、動作を確認しています。


ユースケース
=====

WEB動画配信などで手元の作業映像を映しつつ、作業者の顔を FaceRig を用いてキャラクターに変換し作業映像上に合成することを想定しています。


機能
=====

CAMERA1 の映像を背景とし、CAMERA2 の映像中特定の色を透過としたものを CAMERA1 映像の上に合成します。

CAMERA2 でクロマキー(抜き色)は映像の左上角部分のピクセル色を使います。
重要な部分が左上にかからないようにしてください。


使い方
=====

webcam_face_chromakey.html をローカルに保存した後、ブラウザで開いてください。
padimage1.png はゲームパッド画像です、ゲームパッドを表示する場合は webcam_face_chromakey.html と同じフォルダにおいてください。

[CAMERA1] というボタンと [CAMERA2(chroma-key)] という二つのボタンがあり、それを押すとWEBCAMの選択と使用許諾のポップアップが開くと思います。それぞれ押すとカメラと接続されますので、割り振りたいカメラを選択して動作開始してください。
「(次回から)常に共有しない」というオプションがありますが、これは選択しないでください。

CAMERA2 側の映像はクロマキー合成処理され CAMERA1 の上に表示されます。

[GAMEPAD] というチェックボックスを ON にすると、CAMERA2 の画像前にゲームパッドの画像が表示されます。
このパッドは実際の操作で動きますのでゲームプレイ実況で有効でしょう。

[X Pos] スライダーは CAMERA2 の映像を重ねる左右位置を変更します。

[Size] スライダーは CAMERA2 の映像を重ねる際の大きさを変更します。


License
=====
MIT License.
改変、コピペ、再利用等ご自由にどうぞ。


Author
=====
rerofumi (rero2@yuumu.org)


Update
=====
Jan.09.2015 - ゲームパッドの絵のみを表示する pad_action.html を追加(合成等は他でやるとき用)
Jan.07.2015 - ゲームパッド合成の統合、位置サイズの変更スライダーを追加
Jan.06.2015 - ゲームパッド合成テストの追加
Jan.05.2015 - first release